# Uses of Class
com.ngrok.definitions.SshCredential

Packages that use SshCredential
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of SshCredential in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type SshCredential
  Modifier and Type
  Method
  Description
  `List<SshCredential>`
  SshCredentialList.`getSshCredentials()`
  the list of all ssh credentials on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type SshCredential
  Modifier
  Constructor
  Description
  ``
  `SshCredentialList(List<SshCredential> sshCredentials, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `SshCredentialList`.

- ## Uses of SshCredential in com.ngrok.services

  Methods in com.ngrok.services that return SshCredential
  Modifier and Type
  Method
  Description
  `SshCredential`
  SshCredentials.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshCredential`
  SshCredentials.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshCredential`
  SshCredentials.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type SshCredential
  Modifier and Type
  Method
  Description
  `CompletionStage<SshCredential>`
  SshCredentials.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshCredential>`
  SshCredentials.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshCredential>`
  SshCredentials.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.